/******************************************************************************
 * Copyright (c) 2008 Christian Fonden, Tim Schumacher, Tobias Fink,          *
 *                    Ting Wang, Daniel Hofmann, Vasilios Grigas,             *
 *                    Michael Fechter, Wolfgang Bischoff                      *
 *                                                                            *
 *  This file is part of EvoLab. (Library)                                    *
 *                                                                            *
 *  EvoLab-Library is free software: you can redistribute it and/or modify    *
 *  it under the terms of the MIT/X11 license as published by                 *
 *  the Massachusetts Institute of Technology.                                *
 *                                                                            *
 *  EvoLab is distributed in the hope that it will be useful,                 *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  MIT/X11 License for more details.                                         *
 *                                                                            *
 *  You should have received a copy of the MIT/X11 License along with EvoLab. *
 *  If not, see <http://www.opensource.org/licenses/mit-license.php>.         *
 ******************************************************************************/


namespace EvoLab.Common
{
    /// @cond
    /// <Author>Tim Schuhmacher</Author>
    /// <Revision>$Revision: 2625 $</Revision>
    /// <Id>$Id: simulationstatus.cs 2625 2008-04-25 10:16:16Z hofmandl $</Id>
    /// @endcond
    /// <summary>
    /// Enumeration die, die mglichen Zustande einer Simulation enthlt.
    /// </summary>
    public enum SimulationStatus
    {
        PREPARED,
        WAITING,
        ENQUEUED,
        RUNNING,
        PAUSED,
        STOPPED,
        FINISHED,
        ERROR
    }
}
